Bug 14540 - what about if the <body> IS an article?
what about if the <body> IS an article?
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-22 04:08 UTC by Giorgio
Modified: 2013-01-07 06:11 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giorgio 2011-10-22 04:08:44 UTC
hello,

what about if *the entire <body> IS the article*,

<body>
   <article></article><!-- new section here, I don't want to introduce new one -->
</body>

I think that the difference between <nav|aside> and <article> is that nav and aside can't be primary content, the main section, of a document, article yes

so maybe <article> should not be a sectioning element, or you should provide a way to mark the <body> as article

p.s. I don't want to break up your hard work of years, I'm just submitting my opinion.

I hope this helps!
Comment 1 Tab Atkins Jr. 2011-10-22 04:25:58 UTC
In this case, just don't add a wrapping <article> tag.
Comment 2 Giorgio 2011-10-22 05:24:34 UTC
so if I can not mark a page as article, makes <article> totally useless

by the way, I've extended my thought

*please read carefully because this can be interesting and my English is not so good*

One of the problems of html4 was "site title" vs "document title"

I think html5 should introduce something that resolves this issue.
As I said, my english is not so good so I will try to explain with some code.

the homepage:
<body>
   <h1>bestSPORTWEAR.org</h1>...some nav...
   ...
</body>

product page:
<body>
   <h1>A red NIKE t-shirt</h1>
   <p>A fantastic nike t-shirt with flames and skulls</p>
</body>

now, users want to brand their sites with the same header of the homepage, so, according to html5 spec:

product page:
<body>
   <!-- now site branding becomes tangentially-related content -->
   <aside><h1>bestSPORTWEAR.org</h1>...some nav...</aside>
   <!-- so bots and accessibility tools can understand the real content of the document -->
   <h1>A red NIKE t-shirt</h1>
   <p>A fantastic nike t-shirt with flames and skulls</p>
</body>

but examining this:

<body>
   <!-- now site branding becomes tangentially-related content -->
   <aside><h1>bestSPORTWEAR.org</h1>...some nav...</aside>
   <h1>A red NIKE t-shirt</h1>
   <p>A fantastic nike t-shirt with flames and skulls</p>
   <aside>
      <h1>How to wash the t-shirt</h1>
      <!-- another tangentially-related content -->
   </aside>
</body>

seems that "bestSPORTWEAR.org" is at the same level of "how to wash the t-shirt"
how bots should interpret this? and accessibility tools?
it is nonsense.

I examine another approach:

<body>
   <h1>bestSPORTWEAR.org</h1>
   <section>
      <h1>A red NIKE t-shirt</h1>
      <p>A fantastic nike t-shirt with flames and skulls</p>
      <aside>
         <h1>How to wash the t-shirt</h1>
         <!-- another tangentially-related content -->
      </aside>
   </section>
</body>

now the outline is correct, but bots and accessibility tools can't distinguish the document title and the site title

a new element can be the answer:
(It's just an example)

<body>
   <parent>
      <h1>bestSPORTWEAR.org</h1>
   </parent>
   <h1>A red NIKE t-shirt</h1>
   <p>A fantastic nike t-shirt with flames and skulls</p>
   <aside>
      <h1>How to wash the t-shirt</h1>
      <!-- another tangentially-related content -->
   </aside>
</body>

the outline will still be:

bestSPORTWEAR.org
    A red NIKE t-shirt
        How to wash the t-shirt

but the document title is now hyper-contextualized
- bots can identify the entry point of a page (the document title)
- bots can distinguish between the document context (the site or something in the site) and the document's related contents
- users can easily provide meaningful outlines without doubts

another solution can be an attribute, instead of introduce one element

<body>
   <h1>bestSPORTWEAR.org</h1>
   <p><!-- this is the upper content --></p>
   <article entrypoint>
      <p><!-- this is the main page content--></p>
      <h1>A red NIKE t-shirt</h1>
      <p>A fantastic nike t-shirt with flames and skulls</p>
      <aside>
         <h1>How to wash the t-shirt</h1>
         <!-- another tangentially-related content -->
      </aside>
   </article>
</body>
Comment 3 Giorgio 2011-10-22 05:33:30 UTC
<body>
    <h1>excellentSPORTWEAR.org</h1>
    <nav>
        Tshirts, Tweatsuits, Weight-lifting tools
    </nav>
    <section>
        <h1>Tshirts</h1>
        <nav>Red ones, Blue ones, Lime ones</nav>
        <article entrypoint>
             <h1>Some cool NIKE red Tshirt</h1>
             <p>description</p>
             <aside>
                <h1>How to wash it</h1>
             </aside>
        </article>
    </section>
</body>
Comment 4 Tab Atkins Jr. 2011-10-24 02:09:31 UTC
(In reply to comment #3)
> <body>
>     <h1>excellentSPORTWEAR.org</h1>
>     <nav>
>         Tshirts, Tweatsuits, Weight-lifting tools
>     </nav>
>     <section>
>         <h1>Tshirts</h1>
>         <nav>Red ones, Blue ones, Lime ones</nav>
>         <article entrypoint>
>              <h1>Some cool NIKE red Tshirt</h1>
>              <p>description</p>
>              <aside>
>                 <h1>How to wash it</h1>
>              </aside>
>         </article>
>     </section>
> </body>

There's a good chance you don't need both of those <nav>s. (Rule of thumb: should it appear in a separate menu titled "Main Navigation for the Page"?  If so, make it a <nav>; if not, don't.)

Otherwise, this is a perfectly fine structure.  There's no need to indicate the "entrypoint" - the outline is already fine as it is.
Comment 5 Giorgio 2011-10-24 02:44:20 UTC
> There's a good chance you don't need both of those <nav>s. (Rule of thumb:
> should it appear in a separate menu titled "Main Navigation for the Page"?  If
> so, make it a <nav>; if not, don't.)
> 
> Otherwise, this is a perfectly fine structure.  There's no need to indicate the
> "entrypoint" - the outline is already fine as it is.

hi, please double check http://www.w3.org/Bugs/Public/show_bug.cgi?id=14540#c2

is fine for us, but with the point of view of an accessibility tool?

the document is called "<h1>bestSPORTWEAR.org</h1>" but this is the site title, not the page title

this is not so "hyper-textual" seems that a "document" is totally standalone, but it is not, it is placed in a context ( the site, the presentation, the chapter list) and there should be a way to distinguish context from content
Comment 6 Tab Atkins Jr. 2011-10-24 06:28:49 UTC
Since most sites on the internet have exactly that structure, I expect that screen-readers, bots, and other things that consume markup directly can handle that structure just fine.  If they couldn't, most of the internet would be inaccessible.
Comment 7 Ian 'Hixie' Hickson 2011-12-09 23:39:27 UTC
I should add an example that explicitly covers the case of a one-article page vs a multiple-article page.
Comment 8 contributor 2012-07-18 07:27:00 UTC
This bug was cloned to create bug 17975 as part of operation convergence.
Comment 9 Edward O'Connor 2012-10-03 01:16:26 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No spec change.
Rationale: Resolving as WORKSFORME; if Ian writes an example like he
suggests in <https://www.w3.org/Bugs/Public/show_bug.cgi?id=14540#c7>,
I'll be happy to pull it into this spec, but I don't think the lack of
such an example is a bug with this spec.
Comment 10 Silvia Pfeiffer 2013-01-07 06:11:35 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description: https://github.com/w3c/html/commit/f56f9d9000a76ea290ec3a6fd0f47c4cca26e24f
Rationale: added Ian's example to make the spec clearer, but only for HTML5.1 at this stage. Reopen if you need it in HTML5, too.